# Class StackOverflowError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.VirtualMachineError
java.lang.StackOverflowError

All Implemented Interfaces:
  `Serializable`

public class StackOverflowError extends VirtualMachineError
Thrown when a stack overflow occurs because an application recurses too deeply.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StackOverflowError()`
Constructs a `StackOverflowError` with no detail message.
`StackOverflowError(String s)`
Constructs a `StackOverflowError` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StackOverflowError

public StackOverflowError()
Constructs a `StackOverflowError` with no detail message.

### StackOverflowError

public StackOverflowError(String s)
Constructs a `StackOverflowError` with the specified detail message.

Parameters:
  `s` - the detail message.